# Package net.axay.kspigot.extensions.events

## Functions

cancel
Link copied to clipboard
fun PrepareItemCraftEvent.cancel()
Content copied to clipboard
"Cancels" this event by setting the result to Material.AIR.

## Properties

clickedBlockExceptAir
Link copied to clipboard
val PlayerInteractEvent.clickedBlockExceptAir: Block?
Content copied to clipboard
interactItem
Link copied to clipboard
val PlayerInteractEntityEvent.interactItem: ItemStack?
Content copied to clipboard
Returns the item used in the interaction with the use of the EquipmentSlot returned by the value PlayerInteractEntityEvent.hand.
isCancelled
Link copied to clipboard
val PrepareItemCraftEvent.isCancelled: Boolean
Content copied to clipboard
Checks if the event is "cancelled" by returning if the material of the result is equal to Material.AIR.
isLeftClick
Link copied to clipboard
val Action.isLeftClick: Boolean
Content copied to clipboard
isRightClick
Link copied to clipboard
val Action.isRightClick: Boolean
Content copied to clipboard